1. Packages
  2. Packages
  3. Elasticstack Provider
  4. API Docs
  5. getKibanaSecurityEntityStoreEntities
Viewing docs for elasticstack 0.16.2
published on Saturday, Jul 4, 2026 by elastic
Viewing docs for elasticstack 0.16.2
published on Saturday, Jul 4, 2026 by elastic

    Queries the Kibana Security Entity Store list/search endpoint.

    Using getKibanaSecurityEntityStoreEntities

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getKibanaSecurityEntityStoreEntities(args: GetKibanaSecurityEntityStoreEntitiesArgs, opts?: InvokeOptions): Promise<GetKibanaSecurityEntityStoreEntitiesResult>
    function getKibanaSecurityEntityStoreEntitiesOutput(args: GetKibanaSecurityEntityStoreEntitiesOutputArgs, opts?: InvokeOptions): Output<GetKibanaSecurityEntityStoreEntitiesResult>
    def get_kibana_security_entity_store_entities(entity_id: Optional[str] = None,
                                                  entity_types: Optional[Sequence[str]] = None,
                                                  fields: Optional[Sequence[str]] = None,
                                                  filter: Optional[str] = None,
                                                  filter_query: Optional[str] = None,
                                                  kibana_connections: Optional[Sequence[GetKibanaSecurityEntityStoreEntitiesKibanaConnection]] = None,
                                                  page: Optional[float] = None,
                                                  per_page: Optional[float] = None,
                                                  search_after: Optional[str] = None,
                                                  size: Optional[float] = None,
                                                  sort_field: Optional[str] = None,
                                                  sort_order: Optional[str] = None,
                                                  sources: Optional[Sequence[str]] = None,
                                                  space_id: Optional[str] = None,
                                                  opts: Optional[InvokeOptions] = None) -> GetKibanaSecurityEntityStoreEntitiesResult
    def get_kibana_security_entity_store_entities_output(entity_id: pulumi.Input[Optional[str]] = None,
                                                  entity_types: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                  fields: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                  filter: pulumi.Input[Optional[str]] = None,
                                                  filter_query: pulumi.Input[Optional[str]] = None,
                                                  kibana_connections: pulumi.Input[Optional[Sequence[pulumi.Input[GetKibanaSecurityEntityStoreEntitiesKibanaConnectionArgs]]]] = None,
                                                  page: pulumi.Input[Optional[float]] = None,
                                                  per_page: pulumi.Input[Optional[float]] = None,
                                                  search_after: pulumi.Input[Optional[str]] = None,
                                                  size: pulumi.Input[Optional[float]] = None,
                                                  sort_field: pulumi.Input[Optional[str]] = None,
                                                  sort_order: pulumi.Input[Optional[str]] = None,
                                                  sources: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                  space_id: pulumi.Input[Optional[str]] = None,
                                                  opts: Optional[InvokeOptions] = None) -> Output[GetKibanaSecurityEntityStoreEntitiesResult]
    func GetKibanaSecurityEntityStoreEntities(ctx *Context, args *GetKibanaSecurityEntityStoreEntitiesArgs, opts ...InvokeOption) (*GetKibanaSecurityEntityStoreEntitiesResult, error)
    func GetKibanaSecurityEntityStoreEntitiesOutput(ctx *Context, args *GetKibanaSecurityEntityStoreEntitiesOutputArgs, opts ...InvokeOption) GetKibanaSecurityEntityStoreEntitiesResultOutput

    > Note: This function is named GetKibanaSecurityEntityStoreEntities in the Go SDK.

    public static class GetKibanaSecurityEntityStoreEntities 
    {
        public static Task<GetKibanaSecurityEntityStoreEntitiesResult> InvokeAsync(GetKibanaSecurityEntityStoreEntitiesArgs args, InvokeOptions? opts = null)
        public static Output<GetKibanaSecurityEntityStoreEntitiesResult> Invoke(GetKibanaSecurityEntityStoreEntitiesInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetKibanaSecurityEntityStoreEntitiesResult> getKibanaSecurityEntityStoreEntities(GetKibanaSecurityEntityStoreEntitiesArgs args, InvokeOptions options)
    public static Output<GetKibanaSecurityEntityStoreEntitiesResult> getKibanaSecurityEntityStoreEntities(GetKibanaSecurityEntityStoreEntitiesArgs args, InvokeOptions options)
    
    fn::invoke:
      function: elasticstack:index/getKibanaSecurityEntityStoreEntities:getKibanaSecurityEntityStoreEntities
      arguments:
        # arguments dictionary
    data "elasticstack_getkibanasecurityentitystoreentities" "name" {
        # arguments
    }

    The following arguments are supported:

    EntityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    EntityTypes List<string>
    Entity types to include in the results. Valid values are user, host, service, generic.
    Fields List<string>
    Fields to include in response fields.
    Filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    FilterQuery string
    An Elasticsearch query string to filter entities in page mode.
    KibanaConnections List<GetKibanaSecurityEntityStoreEntitiesKibanaConnection>
    Kibana connection configuration block.
    Page double
    Page number to return (1-indexed) in page mode.
    PerPage double
    Number of entities per page in page mode.
    SearchAfter string
    JSON-encoded search_after cursor from a previous response.
    Size double
    Number of entities to return in search-after mode.
    SortField string
    Field to sort results by in page mode.
    SortOrder string
    Sort order in page mode.
    Sources List<string>
    Fields to include in response _source.
    SpaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    EntityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    EntityTypes []string
    Entity types to include in the results. Valid values are user, host, service, generic.
    Fields []string
    Fields to include in response fields.
    Filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    FilterQuery string
    An Elasticsearch query string to filter entities in page mode.
    KibanaConnections []GetKibanaSecurityEntityStoreEntitiesKibanaConnection
    Kibana connection configuration block.
    Page float64
    Page number to return (1-indexed) in page mode.
    PerPage float64
    Number of entities per page in page mode.
    SearchAfter string
    JSON-encoded search_after cursor from a previous response.
    Size float64
    Number of entities to return in search-after mode.
    SortField string
    Field to sort results by in page mode.
    SortOrder string
    Sort order in page mode.
    Sources []string
    Fields to include in response _source.
    SpaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    entity_id string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entity_types list(string)
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields list(string)
    Fields to include in response fields.
    filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    filter_query string
    An Elasticsearch query string to filter entities in page mode.
    kibana_connections list(object)
    Kibana connection configuration block.
    page number
    Page number to return (1-indexed) in page mode.
    per_page number
    Number of entities per page in page mode.
    search_after string
    JSON-encoded search_after cursor from a previous response.
    size number
    Number of entities to return in search-after mode.
    sort_field string
    Field to sort results by in page mode.
    sort_order string
    Sort order in page mode.
    sources list(string)
    Fields to include in response _source.
    space_id string
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId String
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes List<String>
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields List<String>
    Fields to include in response fields.
    filter String
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery String
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections List<GetKibanaSecurityEntityStoreEntitiesKibanaConnection>
    Kibana connection configuration block.
    page Double
    Page number to return (1-indexed) in page mode.
    perPage Double
    Number of entities per page in page mode.
    searchAfter String
    JSON-encoded search_after cursor from a previous response.
    size Double
    Number of entities to return in search-after mode.
    sortField String
    Field to sort results by in page mode.
    sortOrder String
    Sort order in page mode.
    sources List<String>
    Fields to include in response _source.
    spaceId String
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes string[]
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields string[]
    Fields to include in response fields.
    filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery string
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections GetKibanaSecurityEntityStoreEntitiesKibanaConnection[]
    Kibana connection configuration block.
    page number
    Page number to return (1-indexed) in page mode.
    perPage number
    Number of entities per page in page mode.
    searchAfter string
    JSON-encoded search_after cursor from a previous response.
    size number
    Number of entities to return in search-after mode.
    sortField string
    Field to sort results by in page mode.
    sortOrder string
    Sort order in page mode.
    sources string[]
    Fields to include in response _source.
    spaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    entity_id str
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entity_types Sequence[str]
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields Sequence[str]
    Fields to include in response fields.
    filter str
    A Kibana Query Language (KQL) filter for the search-after mode.
    filter_query str
    An Elasticsearch query string to filter entities in page mode.
    kibana_connections Sequence[GetKibanaSecurityEntityStoreEntitiesKibanaConnection]
    Kibana connection configuration block.
    page float
    Page number to return (1-indexed) in page mode.
    per_page float
    Number of entities per page in page mode.
    search_after str
    JSON-encoded search_after cursor from a previous response.
    size float
    Number of entities to return in search-after mode.
    sort_field str
    Field to sort results by in page mode.
    sort_order str
    Sort order in page mode.
    sources Sequence[str]
    Fields to include in response _source.
    space_id str
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId String
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes List<String>
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields List<String>
    Fields to include in response fields.
    filter String
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery String
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections List<Property Map>
    Kibana connection configuration block.
    page Number
    Page number to return (1-indexed) in page mode.
    perPage Number
    Number of entities per page in page mode.
    searchAfter String
    JSON-encoded search_after cursor from a previous response.
    size Number
    Number of entities to return in search-after mode.
    sortField String
    Field to sort results by in page mode.
    sortOrder String
    Sort order in page mode.
    sources List<String>
    Fields to include in response _source.
    spaceId String
    An identifier for the Kibana space. If omitted, the default space is used.

    getKibanaSecurityEntityStoreEntities Result

    The following output properties are available:

    Id string
    Stable identifier computed as \n\n/entitystoreentities.
    Items List<GetKibanaSecurityEntityStoreEntitiesItem>
    List of entity records with typed attributes matching the resource schema.
    ResultsJson string
    Normalized JSON (sorted keys) of the full API response body.
    SpaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    EntityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    EntityTypes List<string>
    Entity types to include in the results. Valid values are user, host, service, generic.
    Fields List<string>
    Fields to include in response fields.
    Filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    FilterQuery string
    An Elasticsearch query string to filter entities in page mode.
    KibanaConnections List<GetKibanaSecurityEntityStoreEntitiesKibanaConnection>
    Kibana connection configuration block.
    Page double
    Page number to return (1-indexed) in page mode.
    PerPage double
    Number of entities per page in page mode.
    SearchAfter string
    JSON-encoded search_after cursor from a previous response.
    Size double
    Number of entities to return in search-after mode.
    SortField string
    Field to sort results by in page mode.
    SortOrder string
    Sort order in page mode.
    Sources List<string>
    Fields to include in response _source.
    Id string
    Stable identifier computed as \n\n/entitystoreentities.
    Items []GetKibanaSecurityEntityStoreEntitiesItem
    List of entity records with typed attributes matching the resource schema.
    ResultsJson string
    Normalized JSON (sorted keys) of the full API response body.
    SpaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    EntityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    EntityTypes []string
    Entity types to include in the results. Valid values are user, host, service, generic.
    Fields []string
    Fields to include in response fields.
    Filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    FilterQuery string
    An Elasticsearch query string to filter entities in page mode.
    KibanaConnections []GetKibanaSecurityEntityStoreEntitiesKibanaConnection
    Kibana connection configuration block.
    Page float64
    Page number to return (1-indexed) in page mode.
    PerPage float64
    Number of entities per page in page mode.
    SearchAfter string
    JSON-encoded search_after cursor from a previous response.
    Size float64
    Number of entities to return in search-after mode.
    SortField string
    Field to sort results by in page mode.
    SortOrder string
    Sort order in page mode.
    Sources []string
    Fields to include in response _source.
    id string
    Stable identifier computed as \n\n/entitystoreentities.
    items list(object)
    List of entity records with typed attributes matching the resource schema.
    results_json string
    Normalized JSON (sorted keys) of the full API response body.
    space_id string
    An identifier for the Kibana space. If omitted, the default space is used.
    entity_id string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entity_types list(string)
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields list(string)
    Fields to include in response fields.
    filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    filter_query string
    An Elasticsearch query string to filter entities in page mode.
    kibana_connections list(object)
    Kibana connection configuration block.
    page number
    Page number to return (1-indexed) in page mode.
    per_page number
    Number of entities per page in page mode.
    search_after string
    JSON-encoded search_after cursor from a previous response.
    size number
    Number of entities to return in search-after mode.
    sort_field string
    Field to sort results by in page mode.
    sort_order string
    Sort order in page mode.
    sources list(string)
    Fields to include in response _source.
    id String
    Stable identifier computed as \n\n/entitystoreentities.
    items List<GetKibanaSecurityEntityStoreEntitiesItem>
    List of entity records with typed attributes matching the resource schema.
    resultsJson String
    Normalized JSON (sorted keys) of the full API response body.
    spaceId String
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId String
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes List<String>
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields List<String>
    Fields to include in response fields.
    filter String
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery String
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections List<GetKibanaSecurityEntityStoreEntitiesKibanaConnection>
    Kibana connection configuration block.
    page Double
    Page number to return (1-indexed) in page mode.
    perPage Double
    Number of entities per page in page mode.
    searchAfter String
    JSON-encoded search_after cursor from a previous response.
    size Double
    Number of entities to return in search-after mode.
    sortField String
    Field to sort results by in page mode.
    sortOrder String
    Sort order in page mode.
    sources List<String>
    Fields to include in response _source.
    id string
    Stable identifier computed as \n\n/entitystoreentities.
    items GetKibanaSecurityEntityStoreEntitiesItem[]
    List of entity records with typed attributes matching the resource schema.
    resultsJson string
    Normalized JSON (sorted keys) of the full API response body.
    spaceId string
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId string
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes string[]
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields string[]
    Fields to include in response fields.
    filter string
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery string
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections GetKibanaSecurityEntityStoreEntitiesKibanaConnection[]
    Kibana connection configuration block.
    page number
    Page number to return (1-indexed) in page mode.
    perPage number
    Number of entities per page in page mode.
    searchAfter string
    JSON-encoded search_after cursor from a previous response.
    size number
    Number of entities to return in search-after mode.
    sortField string
    Field to sort results by in page mode.
    sortOrder string
    Sort order in page mode.
    sources string[]
    Fields to include in response _source.
    id str
    Stable identifier computed as \n\n/entitystoreentities.
    items Sequence[GetKibanaSecurityEntityStoreEntitiesItem]
    List of entity records with typed attributes matching the resource schema.
    results_json str
    Normalized JSON (sorted keys) of the full API response body.
    space_id str
    An identifier for the Kibana space. If omitted, the default space is used.
    entity_id str
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entity_types Sequence[str]
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields Sequence[str]
    Fields to include in response fields.
    filter str
    A Kibana Query Language (KQL) filter for the search-after mode.
    filter_query str
    An Elasticsearch query string to filter entities in page mode.
    kibana_connections Sequence[GetKibanaSecurityEntityStoreEntitiesKibanaConnection]
    Kibana connection configuration block.
    page float
    Page number to return (1-indexed) in page mode.
    per_page float
    Number of entities per page in page mode.
    search_after str
    JSON-encoded search_after cursor from a previous response.
    size float
    Number of entities to return in search-after mode.
    sort_field str
    Field to sort results by in page mode.
    sort_order str
    Sort order in page mode.
    sources Sequence[str]
    Fields to include in response _source.
    id String
    Stable identifier computed as \n\n/entitystoreentities.
    items List<Property Map>
    List of entity records with typed attributes matching the resource schema.
    resultsJson String
    Normalized JSON (sorted keys) of the full API response body.
    spaceId String
    An identifier for the Kibana space. If omitted, the default space is used.
    entityId String
    When set, the provider generates an implicit KQL filter for this entity id. Conflicts with filter and filter_query.
    entityTypes List<String>
    Entity types to include in the results. Valid values are user, host, service, generic.
    fields List<String>
    Fields to include in response fields.
    filter String
    A Kibana Query Language (KQL) filter for the search-after mode.
    filterQuery String
    An Elasticsearch query string to filter entities in page mode.
    kibanaConnections List<Property Map>
    Kibana connection configuration block.
    page Number
    Page number to return (1-indexed) in page mode.
    perPage Number
    Number of entities per page in page mode.
    searchAfter String
    JSON-encoded search_after cursor from a previous response.
    size Number
    Number of entities to return in search-after mode.
    sortField String
    Field to sort results by in page mode.
    sortOrder String
    Sort order in page mode.
    sources List<String>
    Fields to include in response _source.

    Supporting Types

    GetKibanaSecurityEntityStoreEntitiesItem

    GetKibanaSecurityEntityStoreEntitiesItemAsset

    GetKibanaSecurityEntityStoreEntitiesItemAssetCriticalityFeedback

    Notes string
    Reason string
    Notes string
    Reason string
    notes string
    reason string
    notes String
    reason String
    notes string
    reason string
    notes str
    reason str
    notes String
    reason String

    GetKibanaSecurityEntityStoreEntitiesItemAssetOwner

    Department string
    Email string
    Ext string
    Name string
    Department string
    Email string
    Ext string
    Name string
    department string
    email string
    ext string
    name string
    department String
    email String
    ext String
    name String
    department string
    email string
    ext string
    name string
    department str
    email str
    ext str
    name str
    department String
    email String
    ext String
    name String

    GetKibanaSecurityEntityStoreEntitiesItemCloud

    AccountId string
    AccountName string
    ProjectId string
    ProjectName string
    Provider string
    Region string
    ServiceName string
    AccountId string
    AccountName string
    ProjectId string
    ProjectName string
    Provider string
    Region string
    ServiceName string
    account_id string
    account_name string
    project_id string
    project_name string
    provider string
    region string
    service_name string
    accountId String
    accountName String
    projectId String
    projectName String
    provider String
    region String
    serviceName String
    accountId string
    accountName string
    projectId string
    projectName string
    provider string
    region string
    serviceName string
    accountId String
    accountName String
    projectId String
    projectName String
    provider String
    region String
    serviceName String

    GetKibanaSecurityEntityStoreEntitiesItemEntity

    GetKibanaSecurityEntityStoreEntitiesItemEntityAttributes

    asset Boolean
    managed Boolean
    mfaEnabled Boolean
    privileged Boolean
    asset boolean
    managed boolean
    mfaEnabled boolean
    privileged boolean
    asset Boolean
    managed Boolean
    mfaEnabled Boolean
    privileged Boolean

    GetKibanaSecurityEntityStoreEntitiesItemEntityBehaviors

    GetKibanaSecurityEntityStoreEntitiesItemEntityLifecycle

    FirstSeen string
    LastActivity string
    LastSeen string
    FirstSeen string
    LastActivity string
    LastSeen string
    firstSeen String
    lastActivity String
    lastSeen String
    firstSeen string
    lastActivity string
    lastSeen string
    firstSeen String
    lastActivity String
    lastSeen String

    GetKibanaSecurityEntityStoreEntitiesItemEntityRelationships

    AccessedFrequentlyBies List<string>
    AccessesFrequentlies List<string>
    AccessesInfrequentlies List<string>
    CommunicatesWiths List<string>
    DependentOfs List<string>
    DependsOns List<string>
    OwnedBies List<string>
    Owns List<string>
    SupervisedBies List<string>
    Supervises List<string>
    accessed_frequently_bies list(string)
    accesses_frequentlies list(string)
    accesses_infrequentlies list(string)
    communicates_withs list(string)
    dependent_ofs list(string)
    depends_ons list(string)
    owned_bies list(string)
    owns list(string)
    supervised_bies list(string)
    supervises list(string)
    accessedFrequentlyBies List<String>
    accessesFrequentlies List<String>
    accessesInfrequentlies List<String>
    communicatesWiths List<String>
    dependentOfs List<String>
    dependsOns List<String>
    ownedBies List<String>
    owns List<String>
    supervisedBies List<String>
    supervises List<String>
    accessed_frequently_bies Sequence[str]
    accesses_frequentlies Sequence[str]
    accesses_infrequentlies Sequence[str]
    communicates_withs Sequence[str]
    dependent_ofs Sequence[str]
    depends_ons Sequence[str]
    owned_bies Sequence[str]
    owns Sequence[str]
    supervised_bies Sequence[str]
    supervises Sequence[str]
    accessedFrequentlyBies List<String>
    accessesFrequentlies List<String>
    accessesInfrequentlies List<String>
    communicatesWiths List<String>
    dependentOfs List<String>
    dependsOns List<String>
    ownedBies List<String>
    owns List<String>
    supervisedBies List<String>
    supervises List<String>

    GetKibanaSecurityEntityStoreEntitiesItemEntityRisk

    GetKibanaSecurityEntityStoreEntitiesItemEvent

    Action string
    Category string
    Code string
    Dataset string
    Ingested string
    Kind string
    Outcome string
    Provider string
    Reason string
    Reference string
    Severity string
    Timezone string
    Type string
    Url string
    Action string
    Category string
    Code string
    Dataset string
    Ingested string
    Kind string
    Outcome string
    Provider string
    Reason string
    Reference string
    Severity string
    Timezone string
    Type string
    Url string
    action string
    category string
    code string
    dataset string
    ingested string
    kind string
    outcome string
    provider string
    reason string
    reference string
    severity string
    timezone string
    type string
    url string
    action String
    category String
    code String
    dataset String
    ingested String
    kind String
    outcome String
    provider String
    reason String
    reference String
    severity String
    timezone String
    type String
    url String
    action string
    category string
    code string
    dataset string
    ingested string
    kind string
    outcome string
    provider string
    reason string
    reference string
    severity string
    timezone string
    type string
    url string
    action String
    category String
    code String
    dataset String
    ingested String
    kind String
    outcome String
    provider String
    reason String
    reference String
    severity String
    timezone String
    type String
    url String

    GetKibanaSecurityEntityStoreEntitiesItemHost

    Architectures List<string>
    Domains List<string>
    Hostnames List<string>
    Ids List<string>
    Ips List<string>
    Macs List<string>
    Name string
    Os GetKibanaSecurityEntityStoreEntitiesItemHostOs
    Risk GetKibanaSecurityEntityStoreEntitiesItemHostRisk
    Types List<string>
    architectures list(string)
    domains list(string)
    hostnames list(string)
    ids list(string)
    ips list(string)
    macs list(string)
    name string
    os object
    risk object
    types list(string)
    architectures List<String>
    domains List<String>
    hostnames List<String>
    ids List<String>
    ips List<String>
    macs List<String>
    name String
    os GetKibanaSecurityEntityStoreEntitiesItemHostOs
    risk GetKibanaSecurityEntityStoreEntitiesItemHostRisk
    types List<String>
    architectures Sequence[str]
    domains Sequence[str]
    hostnames Sequence[str]
    ids Sequence[str]
    ips Sequence[str]
    macs Sequence[str]
    name str
    os GetKibanaSecurityEntityStoreEntitiesItemHostOs
    risk GetKibanaSecurityEntityStoreEntitiesItemHostRisk
    types Sequence[str]
    architectures List<String>
    domains List<String>
    hostnames List<String>
    ids List<String>
    ips List<String>
    macs List<String>
    name String
    os Property Map
    risk Property Map
    types List<String>

    GetKibanaSecurityEntityStoreEntitiesItemHostOs

    Family string
    Full string
    Kernel string
    Name string
    Platform string
    Type string
    Version string
    Family string
    Full string
    Kernel string
    Name string
    Platform string
    Type string
    Version string
    family string
    full string
    kernel string
    name string
    platform string
    type string
    version string
    family String
    full String
    kernel String
    name String
    platform String
    type String
    version String
    family string
    full string
    kernel string
    name string
    platform string
    type string
    version string
    family str
    full str
    kernel str
    name str
    platform str
    type str
    version str
    family String
    full String
    kernel String
    name String
    platform String
    type String
    version String

    GetKibanaSecurityEntityStoreEntitiesItemHostRisk

    GetKibanaSecurityEntityStoreEntitiesItemOrchestrator

    ClusterId string
    ClusterName string
    ClusterVersion string
    Name string
    Namespace string
    ResourceId string
    ResourceName string
    ResourceType string
    Type string
    ClusterId string
    ClusterName string
    ClusterVersion string
    Name string
    Namespace string
    ResourceId string
    ResourceName string
    ResourceType string
    Type string
    cluster_id string
    cluster_name string
    cluster_version string
    name string
    namespace string
    resource_id string
    resource_name string
    resource_type string
    type string
    clusterId String
    clusterName String
    clusterVersion String
    name String
    namespace String
    resourceId String
    resourceName String
    resourceType String
    type String
    clusterId string
    clusterName string
    clusterVersion string
    name string
    namespace string
    resourceId string
    resourceName string
    resourceType string
    type string
    clusterId String
    clusterName String
    clusterVersion String
    name String
    namespace String
    resourceId String
    resourceName String
    resourceType String
    type String

    GetKibanaSecurityEntityStoreEntitiesItemService

    GetKibanaSecurityEntityStoreEntitiesItemServiceRisk

    GetKibanaSecurityEntityStoreEntitiesItemUser

    Domains List<string>
    Emails List<string>
    FullNames List<string>
    Hashes List<string>
    Ids List<string>
    Name string
    Risk GetKibanaSecurityEntityStoreEntitiesItemUserRisk
    Roles List<string>
    Domains []string
    Emails []string
    FullNames []string
    Hashes []string
    Ids []string
    Name string
    Risk GetKibanaSecurityEntityStoreEntitiesItemUserRisk
    Roles []string
    domains list(string)
    emails list(string)
    full_names list(string)
    hashes list(string)
    ids list(string)
    name string
    risk object
    roles list(string)
    domains List<String>
    emails List<String>
    fullNames List<String>
    hashes List<String>
    ids List<String>
    name String
    risk GetKibanaSecurityEntityStoreEntitiesItemUserRisk
    roles List<String>
    domains string[]
    emails string[]
    fullNames string[]
    hashes string[]
    ids string[]
    name string
    risk GetKibanaSecurityEntityStoreEntitiesItemUserRisk
    roles string[]
    domains Sequence[str]
    emails Sequence[str]
    full_names Sequence[str]
    hashes Sequence[str]
    ids Sequence[str]
    name str
    risk GetKibanaSecurityEntityStoreEntitiesItemUserRisk
    roles Sequence[str]
    domains List<String>
    emails List<String>
    fullNames List<String>
    hashes List<String>
    ids List<String>
    name String
    risk Property Map
    roles List<String>

    GetKibanaSecurityEntityStoreEntitiesItemUserRisk

    GetKibanaSecurityEntityStoreEntitiesKibanaConnection

    ApiKey string
    API Key to use for authentication to Kibana
    BearerToken string
    Bearer Token to use for authentication to Kibana
    CaCerts List<string>
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    Endpoints List<string>
    Insecure bool
    Disable TLS certificate validation
    Password string
    Password to use for API authentication to Kibana.
    Username string
    Username to use for API authentication to Kibana.
    ApiKey string
    API Key to use for authentication to Kibana
    BearerToken string
    Bearer Token to use for authentication to Kibana
    CaCerts []string
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    Endpoints []string
    Insecure bool
    Disable TLS certificate validation
    Password string
    Password to use for API authentication to Kibana.
    Username string
    Username to use for API authentication to Kibana.
    api_key string
    API Key to use for authentication to Kibana
    bearer_token string
    Bearer Token to use for authentication to Kibana
    ca_certs list(string)
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    endpoints list(string)
    insecure bool
    Disable TLS certificate validation
    password string
    Password to use for API authentication to Kibana.
    username string
    Username to use for API authentication to Kibana.
    apiKey String
    API Key to use for authentication to Kibana
    bearerToken String
    Bearer Token to use for authentication to Kibana
    caCerts List<String>
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    endpoints List<String>
    insecure Boolean
    Disable TLS certificate validation
    password String
    Password to use for API authentication to Kibana.
    username String
    Username to use for API authentication to Kibana.
    apiKey string
    API Key to use for authentication to Kibana
    bearerToken string
    Bearer Token to use for authentication to Kibana
    caCerts string[]
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    endpoints string[]
    insecure boolean
    Disable TLS certificate validation
    password string
    Password to use for API authentication to Kibana.
    username string
    Username to use for API authentication to Kibana.
    api_key str
    API Key to use for authentication to Kibana
    bearer_token str
    Bearer Token to use for authentication to Kibana
    ca_certs Sequence[str]
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    endpoints Sequence[str]
    insecure bool
    Disable TLS certificate validation
    password str
    Password to use for API authentication to Kibana.
    username str
    Username to use for API authentication to Kibana.
    apiKey String
    API Key to use for authentication to Kibana
    bearerToken String
    Bearer Token to use for authentication to Kibana
    caCerts List<String>
    A list of paths to CA certificates to validate the certificate presented by the Kibana server.
    endpoints List<String>
    insecure Boolean
    Disable TLS certificate validation
    password String
    Password to use for API authentication to Kibana.
    username String
    Username to use for API authentication to Kibana.

    Package Details

    Repository
    elasticstack elastic/terraform-provider-elasticstack
    License
    Notes
    This Pulumi package is based on the elasticstack Terraform Provider.
    Viewing docs for elasticstack 0.16.2
    published on Saturday, Jul 4, 2026 by elastic

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial